<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.SearchExpression.SearchExpression &ndash; librygel-server &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.SearchExpression.SearchExpression &ndash; librygel-server Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-server</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="abstract_class"><a href="Rygel.SearchExpression.html">SearchExpression</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="creation_method">SearchExpression</li>
          <li class="abstract_method"><a href="Rygel.SearchExpression.satisfied_by.html">satisfied_by</a></li>
          <li class="abstract_method"><a href="Rygel.SearchExpression.to_string.html">to_string</a></li>
          <li class="field"><a href="Rygel.SearchExpression.op.html">op</a></li>
          <li class="field"><a href="Rygel.SearchExpression.operand1.html">operand1</a></li>
          <li class="field"><a href="Rygel.SearchExpression.operand2.html">operand2</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">SearchExpression</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">protected</span> <b><span class="creation_method">SearchExpression</span></b> ()
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>